<div style="padding-top: 20px;">
  <app-spinner [show]="isLoading"></app-spinner>
  <mat-form-field appearance="outline">
    <mat-label>Role Name</mat-label>
    <input matInput type="text" [formControl]="roleNameFC" />
    <mat-error *ngIf="roleNameFC.hasError('required')">
      This field is required.
    </mat-error>
  </mat-form-field>

  <div class="app-popup-footer px-0">
    <div *appAccess="moduleName; lookFor: 'D'" class="flex-fill">
      <button mat-stroked-button color="accent"
              class="action-btn mat-stroked-button-delete" *ngIf="role" (click)="delete()">
        Delete
      </button>
    </div>
    <button mat-stroked-button color="accent"
            class="action-btn" (click)="cancel()">
      Cancel
    </button>
    <button *appAccess="moduleName; lookFor: ['C', 'E']" mat-raised-button color="accent" class="action-btn ml-2" (click)="save()">
      Save
    </button>
  </div>
</div>

<ng-template #deleteConfirmation>
  <div style="padding-top: 20px;">
    <span>Deleted roles cannot be restored.</span>
  </div>
</ng-template>

<ng-template #deleteError>
  <div style="padding-top: 20px;">
    <span>{{deleteErrorMsg}}</span>
  </div>
</ng-template>
